Package ru.bitel.bgbilling.kernel.event.events

# Class ValidateTextParamEvent

java.lang.Object
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.common.LocalEvent
ru.bitel.bgbilling.kernel.event.events.ValidateTextParamEvent

All Implemented Interfaces:
  `java.io.Serializable`, `ErrorReturnableEvent`

    public class ValidateTextParamEvent
    extends ru.bitel.bgbilling.kernel.event.common.LocalEvent

Событие передается в скрипт валиадации текстового параметра договора. Если скрипт установит поле error в какое-либо значение, система выдаст данное сообщение и параметр не будет изменен.

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Modifier | Constructor | Description
  --- | --- | ---
  `protected` | `ValidateTextParamEvent()` |
  `` | `ValidateTextParamEvent​(int contractId, int parameterId, java.lang.String value)` |
  `` | `ValidateTextParamEvent​(int contractId, java.lang.String value)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getError()` |
  `int` | `getParameterId()` |
  `java.lang.String` | `getValue()` |
  `void` | `setError​(java.lang.String error)` |

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, toString, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ValidateTextParamEvent

    protected ValidateTextParamEvent()

  - ### ValidateTextParamEvent

    public ValidateTextParamEvent​(int contractId, java.lang.String value)

  - ### ValidateTextParamEvent

    public ValidateTextParamEvent​(int contractId, int parameterId, java.lang.String value)

- ## Method Details

  - ### getParameterId

    public int getParameterId()

  - ### getError

    public java.lang.String getError()
    Specified by:
      `getError` in interface `ErrorReturnableEvent`
    Overrides:
      `getError` in class `ru.bitel.bgbilling.kernel.event.common.LocalEvent`

  - ### setError

    public void setError​(java.lang.String error)
    Specified by:
      `setError` in interface `ErrorReturnableEvent`
    Overrides:
      `setError` in class `ru.bitel.bgbilling.kernel.event.common.LocalEvent`

  - ### getValue

    public java.lang.String getValue()